Filewatcher File Search
FTP Search
  
Directory 
  
Content Search 
   
pkg://XITE-3.3-3.src.rpm:5079357/xite-3.3-src.patch  info  downloads

diff -uNr xite/include/xite_types.h XITE-3.3/include/xite_types.h
--- xite/include/xite_types.h	Wed Aug 30 09:08:06 1995
+++ XITE-3.3/include/xite_types.h
@@ -36,7 +36,8 @@
 #include <sys/types.h>
 
 #if defined(ULTRIX) || defined(IRIX) || defined(IRIX64) || defined(OSF1) || \
-    defined(AIX)    || defined(HPUX) || defined(SunOS5)
+    defined(AIX)    || defined(HPUX) || defined(SunOS5) || defined(Linux586) \
+     || defined(Linux386) || defined(Linux486) || defined(Linux686)
 # include <stddef.h>    /* ptrdiff_t */
 #endif
 
diff -uNr xite/src/fwf/converters/StrToPmap.c XITE-3.3/src/fwf/converters/StrToPmap.c
--- xite/src/fwf/converters/StrToPmap.c	Mon Jul  8 10:59:55 1996
+++ XITE-3.3/src/fwf/converters/StrToPmap.c
@@ -37,7 +37,7 @@
 #ifndef NO_XPM
 
 #include <xite/includes.h>
-#include <xpm/xpm.h>
+#include <X11/xpm.h>
 
 #if 0
 #define PIXMAPFILEPATHCACHE (cache->string_to_pixmap.pixmapFilePath)
diff -uNr xite-3.3.orig/etc/xite.sh XITE-3.3/etc/xite.sh
--- xite-3.3.orig/etc/xite.sh	Thu Jan  1 01:00:00 1970
+++ XITE-3.3/etc/xite.sh
@@ -0,0 +1,9 @@
+# Xite
+export XITE_HOME=/usr/xite
+export XSHOWPATH=$XITE_HOME/data/xshow
+PATH=$PATH:$XITE_HOME/bin
+MANPATH=$MANPATH:$XITE_HOME/man
+export XITE_HELPER=netscape:Mosaic
+export XITE_HELPER_OPTION=-remote
+export XITE_DOC=$XITE_HOME/doc
+export XSHOWPATH=$XITE_HOME/data/xshow
diff -uNr xite-3.3.orig/src/fwf/converters/icon.h XITE-3.3/src/fwf/converters/icon.h
--- xite-3.3.orig/src/fwf/converters/icon.h	Mon Jul  8 11:00:02 1996
+++ XITE-3.3/src/fwf/converters/icon.h
@@ -4,7 +4,7 @@
 #ifndef NO_XPM
 
 #include <xite/includes.h>
-#include <xpm/xpm.h>
+#include <X11/xpm.h>
 
 Boolean cvtStringToIcon(
 #if NeedFunctionPrototypes
diff -uNr xite-3.3.orig/etc/.install/getPlatform xite-3.3/etc/.install/getPlatform
--- xite-3.3.orig/etc/.install/getPlatform	Fri Nov  3 11:35:43 1995
+++ xite-3.3/etc/.install/getPlatform
@@ -40,7 +40,7 @@
 TYPEPLATFORM=$utildir/typePlatform
 
 fine=0; ok=0
-while test $fine -ne 1 
+while test $fine -ne 1
 do
     if test -z "$XITE_HOSTTYPE"
     then
diff -uNr xite-3.3.orig/etc/.install/install_xite xite-3.3/etc/.install/install_xite
--- xite-3.3.orig/etc/.install/install_xite	Thu Sep  4 11:57:54 1997
+++ xite-3.3/etc/.install/install_xite
@@ -1,6 +1,9 @@
 #!/bin/sh
 
 # $Id: install_xite,v 1.135 1997/09/04 09:57:54 svein Exp $
+#
+# Modified 1997/12/20 by Viggo L. Norum to NOT unpack the sources, 
+# NOT send info to the author and NOT try to start xshow.
 
 ############################################################################
 #
@@ -698,7 +701,7 @@
 					then
 						echo "$ztarfile exists. Use this instead? ([y]/n) \c"
 					else
-						echo -n "$ztarfile exists. Use this instead? ([y]/n) "
+       					echo -n "$ztarfile exists. Use this instead? ([y]/n) "
 					fi # echo
 
 					if test "$confirm" -eq 1
@@ -918,7 +921,7 @@
 fi
 
 $askConfirm       || exit 1
-$sendInfo
+# $sendInfo
 
 local_opt=""
 if test "$local" -eq 1
@@ -938,19 +941,19 @@
 $confirmMakexite  || exit 1
 
 $makexite_command 2>&1 | tee $log_file
-status=$?
-
-if test "$status" -eq 0
-then
-	echo "Trying to start xshow."
-
-	PATH=${XITE_BIN_DEST}:$PATH
-	XSHOWPATH=${XITE_HOME}/data/xshow
-	export PATH XSHOWPATH
-
-	$XITE_BIN_DEST/xshow \
-		-m  $XSHOWPATH/xshow_menues \
-		-cl $XSHOWPATH/xshow_colortabs \
-		-ct $XITE_HOME/data/img/mona.col \
-		$XITE_HOME/data/img/mona.img &
-fi
+#status=$?
+#
+#if test "$status" -eq 0
+#then
+#	echo "Trying to start xshow."
+#
+#	PATH=${XITE_BIN_DEST}:$PATH
+#	XSHOWPATH=${XITE_HOME}/data/xshow
+#	export PATH XSHOWPATH
+#
+#	$XITE_BIN_DEST/xshow \
+#		-m  $XSHOWPATH/xshow_menues \
+#		-cl $XSHOWPATH/xshow_colortabs \
+#		-ct $XITE_HOME/data/img/mona.col \
+#		$XITE_HOME/data/img/mona.img &
+#fi
diff -uNr xite-3.3.orig/etc/.install/xite_params xite-3.3/etc/.install/xite_params
--- xite-3.3.orig/etc/.install/xite_params	Thu Jan  1 01:00:00 1970
+++ xite-3.3/etc/.install/xite_params
@@ -0,0 +1,10 @@
+X_INC_DIR=/usr/X11R6/include
+X_LIB_DIR=/usr/X11R6/lib
+TIFF_INC_DIR=/usr/include
+TIFF_LIB_DIR=/usr/lib
+PNM_INC_DIR=/usr/include
+PNM_LIB_DIR=/usr/lib
+MATLAB_LIB=-
+MATLAB_INC=-
+MATLAB_MEX_DEST=-
+CC=gcc
diff -uNr xite-3.3.orig/src/xshow/Macro.c xite-3.3/src/xshow/Macro.c
--- xite-3.3.orig/src/xshow/Macro.c	Fri Jan  3 14:14:26 1997
+++ xite-3.3/src/xshow/Macro.c
@@ -54,7 +54,7 @@
 #include "Xprog.h"
 
 extern int sys_nerr;
-extern char *sys_errlist[];
+/*extern char *sys_errlist[];*/
 extern char *menufilename_e;  /* If non-NULL, don't read
 			       * standard menufiles. */
 
diff -uNr xite-3.3.orig/src/xshow/ReadMenuList.c xite-3.3/src/xshow/ReadMenuList.c
--- xite-3.3.orig/src/xshow/ReadMenuList.c	Thu Mar  6 13:59:25 1997
+++ xite-3.3/src/xshow/ReadMenuList.c
@@ -40,7 +40,7 @@
 #include <xite/strings.h>
 
 extern int sys_nerr;
-extern char *sys_errlist[];
+/* extern char *sys_errlist[];*/
 
 typedef struct _dialog_entry 
 {
diff -uNr xite-3.3.orig/src/xshow/Xcontrol.c xite-3.3/src/xshow/Xcontrol.c
--- xite-3.3.orig/src/xshow/Xcontrol.c	Tue Sep  2 17:34:58 1997
+++ xite-3.3/src/xshow/Xcontrol.c
@@ -79,7 +79,7 @@
 extern Widget Control_e;
 extern char *xiteHelper_e, *xiteHelperOption_e;
 extern Atom wm_delete_window;   /* for ICCCM delete window */
-extern char *sys_errlist[];
+/*extern char *sys_errlist[];*/
 extern int sys_nerr;
 
 static Widget Help_s, Macro_s, Quit_s, 
@@ -929,4 +929,3 @@
   if (html_filename) free(html_filename);
   if (cat_filename)  free(cat_filename);
 }
-
Results 1 - 1
Help - FTP Sites List - Software Dir.
Searching half a billion files worldwide
© 1997-2009 MARUHN Internet Solutions